libglom-1.20: Glom::LayoutItem_Image Class Reference

libglom-1.20 1.20.7

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
Glom::LayoutItem_Image Class Reference
Inheritance diagram for Glom::LayoutItem_Image:
[legend]
Collaboration diagram for Glom::LayoutItem_Image:
[legend]

List of all members.

## Public Member Functions
| LayoutItem_Image ()
| LayoutItem_Image (const LayoutItem_Image& src)
LayoutItem_Image& | operator= (const LayoutItem_Image& src)
virtual | ~LayoutItem_Image ()
virtual LayoutItem* | clone () const
| Create a new copied instance.
bool | operator== (const LayoutItem_Image& src) const
virtual Glib::ustring | get_part_type_name () const
virtual Glib::ustring | get_report_part_id () const
| Gets the node name to use for the intermediate XML, (and usually, the CSS style class to use for the resulting HTML).
Gnome::Gda::Value | get_image () const
| Get the image that will be shown on each record.
void | set_image (const Gnome::Gda::Value& image)
| Set the image that will be shown on each record.
Glib::ustring | create_local_image_uri () const
## Public Attributes
Gnome::Gda::Value | m_image

## Constructor & Destructor Documentation

Glom::LayoutItem_Image::LayoutItem_Image | ( |  | ) |

Glom::LayoutItem_Image::LayoutItem_Image | ( | const LayoutItem_Image& | src | ) |

virtual Glom::LayoutItem_Image::~LayoutItem_Image | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual LayoutItem* Glom::LayoutItem_Image::clone | ( |  | ) | const`[virtual]`

Create a new copied instance.

This allows us to deep-copy a list of LayoutItems.

Implements Glom::LayoutItem.

Glib::ustring Glom::LayoutItem_Image::create_local_image_uri | ( |  | ) | const

Gnome::Gda::Value Glom::LayoutItem_Image::get_image | ( |  | ) | const

Get the image that will be shown on each record.

virtual Glib::ustring Glom::LayoutItem_Image::get_part_type_name | ( |  | ) | const`[virtual]`

Implements Glom::LayoutItem.

virtual Glib::ustring Glom::LayoutItem_Image::get_report_part_id | ( |  | ) | const`[virtual]`

Gets the node name to use for the intermediate XML, (and usually, the CSS style class to use for the resulting HTML).

Reimplemented from Glom::LayoutItem.

LayoutItem_Image& Glom::LayoutItem_Image::operator= | ( | const LayoutItem_Image& | src | ) |

bool Glom::LayoutItem_Image::operator== | ( | const LayoutItem_Image& | src | ) | const

void Glom::LayoutItem_Image::set_image | ( | const Gnome::Gda::Value & | image | ) |

Set the image that will be shown on each record.

## Member Data Documentation

Gnome::Gda::Value Glom::LayoutItem_Image::m_image

The documentation for this class was generated from the following file:

- libglom/data_structure/layout/layoutitem_image.h